How to compile the vdr server plugin
#1
The various vdr distributions seem often not to provide the vdr-plugin-vnsiserver compatible with the VNSI addon in opdenkamp repository: https://github.com/FernetMenta/vdr-plugin-vnsiserver.
In order to make sure the two parts fit together you can compile the vdr plugin yourself.

Prerequisites:
- sources of VDR. Many distributions provide a package for the sources e.g. "apt-get install vdr-dev" or yavdr-dev
- locate the folder where the sources are, this is VDRDIR, e.g. /usr/include/vdr
- locate folder with binaries for plugins, this is LIBDIR, e.g. /usr/lib/vdr/plugins

Get the sources for the plugin:
git clone https://github.com/FernetMenta/vdr-plugin-vnsiserver
cd vdr-plugin-vnsiserver
(sudo) make VDRDIR=<patch to vdr> LIBDIR=<path to libs>

vdr > 1.7.33
make
(make will look for vdr.pc which has required parameters)
Reply


Messages In This Thread
How to compile the vdr server plugin - by FernetMenta - 2012-12-10, 13:31


Logout Mark Read Team Forum Stats Members Help
How to compile the vdr server plugin0
This forum uses Lukasz Tkacz MyBB addons.